summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Turner <mattst88@gentoo.org>2019-07-22 21:26:53 -0700
committerMatt Turner <mattst88@gentoo.org>2019-07-23 00:03:28 -0700
commit5ae739228d96e5857b88c0658d22456da1724ea0 (patch)
treeba0c059efd71aae2c053d9e1c1d8b01a97a86f4f /sys-fs/squashfs-tools-ng/squashfs-tools-ng-9999.ebuild
parentwww-client/vivaldi-snapshot: Old (diff)
downloadgentoo-5ae739228d96e5857b88c0658d22456da1724ea0.tar.gz
gentoo-5ae739228d96e5857b88c0658d22456da1724ea0.tar.bz2
gentoo-5ae739228d96e5857b88c0658d22456da1724ea0.zip
sys-fs/squashfs-tools-ng: New package
Signed-off-by: Matt Turner <mattst88@gentoo.org>
Diffstat (limited to 'sys-fs/squashfs-tools-ng/squashfs-tools-ng-9999.ebuild')
-rw-r--r--sys-fs/squashfs-tools-ng/squashfs-tools-ng-9999.ebuild53
1 files changed, 53 insertions, 0 deletions
diff --git a/sys-fs/squashfs-tools-ng/squashfs-tools-ng-9999.ebuild b/sys-fs/squashfs-tools-ng/squashfs-tools-ng-9999.ebuild
new file mode 100644
index 00000000000..88b9fdc8179
--- /dev/null
+++ b/sys-fs/squashfs-tools-ng/squashfs-tools-ng-9999.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+EGIT_REPO_URI="https://github.com/AgentD/${PN}.git"
+[[ ${PV} == 9999* ]] && inherit autotools git-r3
+
+DESCRIPTION="A new set of tools for working with SquashFS images"
+HOMEPAGE="https://github.com/AgentD/squashfs-tools-ng"
+if [[ ${PV} = 9999* ]]; then
+ SRC_URI=""
+else
+ KEYWORDS="~alpha ~amd64 ~ia64 ~ppc64"
+ SRC_URI="https://infraroot.at/pub/squashfs/${P}.tar.xz"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="lz4 lzo selinux +xz +zlib zstd"
+REQUIRED_USE="|| ( lz4 lzo xz zlib zstd )"
+
+DEPEND="
+ lz4? ( app-arch/lz4:= )
+ lzo? ( dev-libs/lzo:= )
+ xz? ( app-arch/xz-utils:= )
+ selinux? ( sys-libs/libselinux:= )
+ zlib? ( sys-libs/zlib:= )
+ zstd? ( app-arch/zstd:= )
+"
+RDEPEND="${DEPEND}"
+
+src_unpack() {
+ default
+ [[ $PV = 9999* ]] && git-r3_src_unpack
+}
+
+src_prepare() {
+ default
+ [[ ${PV} == "9999" ]] && eautoreconf
+}
+
+src_configure() {
+ local myconf=(
+ $(use_with lz4)
+ $(use_with lzo)
+ $(use_with selinux)
+ $(use_with xz)
+ $(use_with zlib gzip)
+ $(use_with zstd)
+ )
+ econf "${myconf[@]}"
+}